Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_OlapItem

    java.lang.Object
      com.tonbeller.jpivot.xmla.XMLA_OlapItem

All Implemented Interfaces:
  OlapItem

    public class XMLA_OlapItem

extends java.lang.Object
implements OlapItem

XMLA Olap Item

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.model.OlapItem
`TYPE_CATALOG, TYPE_CUBE, TYPE_DIMENSION, TYPE_HIERARCHY, TYPE_LEVEL, TYPE_MEMBER, TYPE_PROPERTY`

Constructor Summary
`XMLA_OlapItem(int type)` c'tor

Method Summary
`java.lang.String` | `getCaption()`
`java.lang.String` | `getLabel()` Label is the string to be externally displayed
`java.lang.String` | `getName()`
`java.util.Map` | `getProperties()` any OlapItem contains a map of properties, key and value of type String
`java.lang.String` | `getProperty(java.lang.String propName)`
`int` | `getType()`
`java.lang.String` | `getUniqueName()`
`void` | `setCaption(java.lang.String caption)`
`void` | `setName(java.lang.String name)`
`void` | `setProperty(java.lang.String propName, java.lang.String value)`
`void` | `setUniqueName(java.lang.String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLA_OlapItem

    public XMLA_OlapItem(int type)

  c'tor

  Parameters:
    `type` -

Method Detail

### getType

    public int getType()

  Specified by:
    `getType` in interface `OlapItem`
  Returns:
    type of item

### getLabel

    public java.lang.String getLabel()

  Label is the string to be externally displayed

  Specified by:
    `getLabel` in interface `OlapItem`
  Returns:
    label

### getUniqueName

    public java.lang.String getUniqueName()

  Specified by:
    `getUniqueName` in interface `OlapItem`
  Returns:
    the unique name

### getCaption

    public java.lang.String getCaption()

  Specified by:
    `getCaption` in interface `OlapItem`
  Returns:
    caption (can be null)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `OlapItem`
  Returns:
    name

### getProperty

    public java.lang.String getProperty(java.lang.String propName)

  Specified by:
    `getProperty` in interface `OlapItem`
  Parameters:
    `propName` - name of the property to be retrieved
  Returns:

### getProperties

    public java.util.Map getProperties()

  any OlapItem contains a map of properties, key and value of type String

  Specified by:
    `getProperties` in interface `OlapItem`
  Returns:
    properties property map

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` -

### setCaption

    public void setCaption(java.lang.String caption)

  Parameters:
    `caption` -

### setProperty

    public void setProperty(java.lang.String propName,
                            java.lang.String value)

  Parameters:
    `propName` - property name
    `value` - property value

### setUniqueName

    public void setUniqueName(java.lang.String string)

  Parameters:
    `string` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD